summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Andrew Lobanov <spline1986@gmail.com>2015-10-09 23:20:31 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-10-09 23:20:31 +0700
commit9133ec82150551d2750a1b8d63f5de64f9c53173 (patch)
treefc81e8356ace4c2673cc0fdeb5cc27404e2652ce /games
parentffe58df880bc92fef3e0361c1bce5add7e6ae709 (diff)
downloadslackbuilds-9133ec82150551d2750a1b8d63f5de64f9c53173.tar.gz
slackbuilds-9133ec82150551d2750a1b8d63f5de64f9c53173.tar.xz
games/ifm: Added (Interactive fiction mapper).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/ifm/README5
-rw-r--r--games/ifm/ifm.SlackBuild82
-rw-r--r--games/ifm/ifm.info10
-rw-r--r--games/ifm/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/games/ifm/README b/games/ifm/README
new file mode 100644
index 0000000000..848696ebd6
--- /dev/null
+++ b/games/ifm/README
@@ -0,0 +1,5 @@
+IFM is a language for keeping track of your progress through an Interactive
+Fiction game, and a program for producing various different sorts of output
+using it. You can record each room you visit and its relation to other
+rooms, the initial locations of useful items you find, and the tasks you need
+to perform in order to solve the game.
diff --git a/games/ifm/ifm.SlackBuild b/games/ifm/ifm.SlackBuild
new file mode 100644
index 0000000000..e50b6a93f1
--- /dev/null
+++ b/games/ifm/ifm.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for <appname>
+
+# Copyright 2015 Andrew Lobanov
+
+PRGNAM=ifm
+VERSION=${VERSION:-5.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/ifm/ifm.info b/games/ifm/ifm.info
new file mode 100644
index 0000000000..0c03648446
--- /dev/null
+++ b/games/ifm/ifm.info
@@ -0,0 +1,10 @@
+PRGNAM="ifm"
+VERSION="5.4"
+HOMEPAGE="http://ifm.readthedocs.org/en/latest/contents.html"
+DOWNLOAD="http://www.ifarchive.org/if-archive/mapping-tools/ifm-5.4.tar.gz"
+MD5SUM="fa18a544fc0fec2ddc452777317357ea"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrew Lobanov"
+EMAIL="spline1986@gmail.com"
diff --git a/games/ifm/slack-desc b/games/ifm/slack-desc
new file mode 100644
index 0000000000..3b0cdd58cf
--- /dev/null
+++ b/games/ifm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ifm: ifm (Interactive fiction mapper)
+ifm:
+ifm: IFM is a language for keeping track of your progress through an
+ifm: Interactive Fiction game, and a program for producing various
+ifm: different sorts of output using it. You can record each room you
+ifm: visit and its relation to other rooms, the initial locations of
+ifm: useful items you find, and the tasks you need to perform in order to
+ifm: solve the game.
+ifm:
+ifm:
+ifm: